Subject: Re: netdevice notifier and device private data

From: Michael Richardson <[email-masked]>
Date: Fri, 08 Jun 2018 15:37:44 -0400

Alexander Aring <[email-masked]> wrote:
    Alex> I already see code outside who changed tun netdevice to the
    Alex> ARPHRD_6LOWPAN type and I suppose they running into this
    Alex> issue.  (Btw: I don't know why somebody wants to changed that
    Alex> type to ARPHRD_6LOWPAN on tun).

so that they can have the kernel do 6lowpan processing, emitting 6lowPAN
packets into userspace to be transfered into a radio via some proprietary
interface (including, for instance SLIP over USB cable to Contiki or OpenWSN stack, 
set up to act as radio only)

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [